diff -uNrd ircd-hybrid-5.3p7/include/config.h ircd-bsdnet/include/config.h
--- ircd-hybrid-5.3p7/include/config.h	Wed Dec 23 18:56:47 1998
+++ ircd-bsdnet/include/config.h	Fri Feb 25 22:31:26 2000
@@ -27,8 +27,8 @@
 /***************** MAKE SURE THIS IS CORRECT!!!!!!!!! **************/
 /* ONLY EDIT "HARD_FDLIMIT_" and "INIT_MAXCLIENTS" */
 
-#define HARD_FDLIMIT_   1024
-#define INIT_MAXCLIENTS 800
+#define HARD_FDLIMIT_   125
+#define INIT_MAXCLIENTS 40
 
 /*
  * This is how many 'buffer connections' we allow... 
@@ -82,8 +82,8 @@
  * -Dianora
  */
 
-#define DPATH   "/usr/local/ircd/"
-#define SPATH   "/usr/local/ircd/ircd"
+#define DPATH   "/letc/ircd/"
+#define SPATH   "/usr/local/sbin/ircd"
 #define	CPATH	"ircd.conf"
 #define KPATH   "kline.conf"
 #define	MPATH	"ircd.motd"
@@ -144,8 +144,8 @@
  *
  * These need to be defined if you want to use SYSLOG logging, too.
  */
-#define FNAME_USERLOG "/usr/local/ircd/users" /* */
-#define FNAME_OPERLOG "/usr/local/ircd/opers" /* */
+#define FNAME_USERLOG "/var/log/ircd.users" /* */
+#define FNAME_OPERLOG "/var/log/ircd.opers" /* */
 
 /* FOLLOW_IDENT_RFC
  * 
@@ -180,7 +180,7 @@
  * messages, define this.  Otherwise leave it undef'd for plain ole
  * boring messages.
  */
-#undef CUSTOM_ERR
+#define CUSTOM_ERR
 
 
 /* FAILED_OPER_NOTICE - send a notice to all opers when someone
@@ -293,7 +293,7 @@
  * @'s in I:lines.  You must still use @'s in your I: lines to get
  * ircd to do ident lookup even if you define this.
  */
-#define DO_IDENTD
+#undef DO_IDENTD
 
 /* K_COMMENT_ONLY - 2nd field in K-line is ALWAYS a comment.
  * If you define this, ircd will NOT put ^O's in K: line comments.
@@ -440,7 +440,7 @@
  * mode "i" (i == invisible). Invisibility means people dont showup in
  * WHO or NAMES unless they are on the same channel as you.
  */
-#define	NO_DEFAULT_INVISIBLE
+#undef	NO_DEFAULT_INVISIBLE
 
 /* OPER_KILL OPER_REHASH OPER_RESTART OPER_DIE OPER_REMOTE -
  *      restrict what local global-Opers can do
@@ -505,7 +505,7 @@
  * to a leaf which just has 1 server (typically the uplink). Define this
  * correctly for performance reasons.
  */
-#undef	HUB
+#define HUB
 
 /* R_LINES - support for R: LINES
  * The conf file now allows the existence of R lines, or
@@ -539,7 +539,7 @@
  * security problem - they can use the "-f" option to read any files
  * that the 'new' access lets them.
  */
-#define	CMDLINE_CONFIG
+#undef	CMDLINE_CONFIG
 
 /* M4_PREPROC - run ircd.conf through m4 preprocessor
  * To use m4 as a preprocessor on the ircd.conf file, define M4_PREPROC.
@@ -570,11 +570,11 @@
  * If you use syslog above, you may want to turn some (none) of the
  * spurious log messages for KILL,SQUIT,etc off.
  */
-#undef	SYSLOG_KILL	/* log all operator kills to syslog */
-#undef	SYSLOG_SQUIT	/* log all remote squits for all servers to syslog */
+#define	SYSLOG_KILL	/* log all operator kills to syslog */
+#define	SYSLOG_SQUIT	/* log all remote squits for all servers to syslog */
 #undef	SYSLOG_CONNECT	/* log remote connect messages for other all servs */
 #undef	SYSLOG_USERS	/* send userlog stuff to syslog */
-#undef	SYSLOG_OPER	/* log all users who successfully become an Op */
+#define	SYSLOG_OPER	/* log all users who successfully become an Op */
 #undef  SYSLOG_BLOCK_ALLOCATOR /* debug block allocator */
 
 /* LOG_FACILITY - facility to use for syslog()
@@ -622,8 +622,8 @@
  * define IRC_UID to that UID.  This should only be defined if you are running
  * as root and even then perhaps not.
  */
-#define	IRC_UID 1001
-#define	IRC_GID 31
+#define	IRC_UID 72
+#define	IRC_GID 72
 
 /* CLIENT_FLOOD - client excess flood threshold
  * this controls the number of bytes the server will allow a client to
@@ -697,7 +697,7 @@
  *	 of KILL for non-local clients should be punished by removal of the
  *	 server's links (if only for ignoring this warning!).
  */
-#define	LOCAL_KILL_ONLY
+#undef	LOCAL_KILL_ONLY
 #endif
 
 /* PORTNUM - default port where ircd resides
diff -uNrd ircd-hybrid-5.3p7/include/patchlevel.h ircd-bsdnet/include/patchlevel.h
--- ircd-hybrid-5.3p7/include/patchlevel.h	Sat Jun 12 21:24:02 1999
+++ ircd-bsdnet/include/patchlevel.h	Fri Feb 25 21:19:07 2000
@@ -17,5 +17,5 @@
  */
 
 #ifndef	PATCHLEVEL
-#define PATCHLEVEL    "2.8/hybrid-5.3p7"
+#define PATCHLEVEL    "2.8/hybrid-5.3p7bsdnet"
 #endif
diff -uNrd ircd-hybrid-5.3p7/include/s_err.h ircd-bsdnet/include/s_err.h
--- ircd-hybrid-5.3p7/include/s_err.h	Sat Jun 12 21:24:02 1999
+++ ircd-bsdnet/include/s_err.h	Fri Feb 25 20:58:41 2000
@@ -23,9 +23,9 @@
 #ifdef CUSTOM_ERR
 static	Numeric	local_replies[] = {
 /* 000 */	0, (char *)NULL,
-/* 001 */	RPL_WELCOME, ":Welcome to EFNet IRC - the Internet Relay Chat Network %s",
+/* 001 */	RPL_WELCOME, ":Welcome to BSDnet IRC - the Internet Relay Chat Network %s",
 /* 002 */	RPL_YOURHOST, ":Your host is %s, running version %s",
-/* 003 */	RPL_CREATED, ":This server rose from the ashes %s",
+/* 003 */	RPL_CREATED, ":This server was hatched %s",
 /* 004 */	RPL_MYINFO, "%s %s oiwszcrkfydn biklmnopstv",
 		0, (char *)NULL
 };
@@ -90,7 +90,7 @@
 /* 461 */	ERR_NEEDMOREPARAMS, "%s :Not enough parameters",
 /* 462 */	ERR_ALREADYREGISTRED, ":You may not reregister",
 /* 463 */	ERR_NOPERMFORHOST, ":Your host isn't among the privileged.",
-/* 464 */	ERR_PASSWDMISMATCH, ":BZZZT!! Wrong password, homez. Are you sure you know what you're doing??",
+/* 464 */	ERR_PASSWDMISMATCH, ":BZZZT!! Wrong password, dewd. Are you sure you know what you're doing?",
 /* 465 */	ERR_YOUREBANNEDCREEP, ":You are BANNED from this server- %s",
 /* 466 */	ERR_YOUWILLBEBANNED, (char *)NULL,
 /* 467 */	ERR_KEYSET, "%s :Channel key already set. Pay attention.",
@@ -106,9 +106,9 @@
 /* 479 */	ERR_BADCHANNAME, "%s :Cannot join channel (illegal name)",
 		0, (char *)NULL,
 /* 481 */	ERR_NOPRIVILEGES,
-		":UHHH, I don't THINK so, homez... you ain't got what it takes. (IRC Operator)",
+		":UHHH, I don't THINK so, dewd... you ain't got those mad l33+ sk1llz. (IRC Operator)",
 /* 482 */	ERR_CHANOPRIVSNEEDED, "%s :You can't do that thing, when you don't have that swing (You're not channel operator)",
-/* 483 */	ERR_CANTKILLSERVER, ":Don't be an idiot -  you can't kill a SERVER, fool.",
+/* 483 */	ERR_CANTKILLSERVER, ":Don't be an idiot -  you can't kill a SERVER.",
 /* 484 */	0, (char *)NULL,
 		0, (char *)NULL,
 		0, (char *)NULL,
@@ -126,7 +126,7 @@
 		0, (char *)NULL,
 		0, (char *)NULL,
 		0, (char *)NULL,
-/* 501 */	ERR_UMODEUNKNOWNFLAG, ":Unknown MODE flag - you smokin' something?",
+/* 501 */	ERR_UMODEUNKNOWNFLAG, ":Unknown MODE flag",
 /* 502 */	ERR_USERSDONTMATCH, ":You can't change user modes for other users, silly - check that nickname again.",
 /* 503 */	ERR_GHOSTEDCLIENT, ":Message could not be delivered to %s",
 /* LAST */	ERR_LAST_ERR_MSG, ":Last Error Message",
@@ -145,7 +145,7 @@
 		0, (char *)NULL,
 /* 311 */	RPL_WHOISUSER, "%s %s %s * :%s",
 /* 312 */	RPL_WHOISSERVER, "%s %s :%s",
-/* 313 */	RPL_WHOISOPERATOR, "%s :is an IRC Janitor (IRC Operator)",
+/* 313 */	RPL_WHOISOPERATOR, "%s :really likes to twist and shout -IRC Operator-",
 /* 314 */	RPL_WHOWASUSER, "%s %s %s * :%s",
 /* 315 */	RPL_ENDOFWHO, "%s :End of /WHO list.",
 /* 316 */	RPL_WHOISCHANOP, (char *)NULL,
@@ -218,7 +218,7 @@
 		0, (char *)NULL,
 		0, (char *)NULL, 0, (char *)NULL,
 		0, (char *)NULL,
-/* 381 */	RPL_YOUREOPER, ":You are now one bad motherfucker - Go /kill someone.",
+/* 381 */	RPL_YOUREOPER, ":You have the phorce.  Use it wisely.",
 /* 382 */	RPL_REHASHING, "%s :it slices, dices, and even reloads config files!  Rehashing config file, mang.",
 /* 383 */	0, (char *)NULL,
 /* 384 */	RPL_MYPORTIS, "%d :Port to local server is\r\n",
diff -uNrd ircd-hybrid-5.3p7/include/struct.h ircd-bsdnet/include/struct.h
--- ircd-hybrid-5.3p7/include/struct.h	Wed Dec 23 18:56:50 1998
+++ ircd-bsdnet/include/struct.h	Fri Feb 25 21:01:12 2000
@@ -79,7 +79,7 @@
 
 #define HOSTIPLEN	15	/* Length of dotted quad form of IP	   */
 				/* - Dianora 				   */
-#define	NICKLEN		9	/* Necessary to put 9 here instead of 10
+#define	NICKLEN		20	/* Necessary to put 9 here instead of 10
 				** if s_msg.c/m_nick has been corrected.
 				** This preserves compatibility with old
 				** servers --msa
@@ -89,7 +89,7 @@
 
 #define	USERLEN		10
 #define	REALLEN	 	50
-#define	TOPICLEN	90
+#define	TOPICLEN	250
 #define	CHANNELLEN	200
 #define	PASSWDLEN 	20
 #define	KEYLEN		23
diff -uNrd ircd-hybrid-5.3p7/patch-aa ircd-bsdnet/patch-aa
--- ircd-hybrid-5.3p7/patch-aa	Wed Dec 31 19:00:00 1969
+++ ircd-bsdnet/patch-aa	Mon Aug 17 09:09:55 1998
@@ -0,0 +1,62 @@
+--- include/s_err.h.old	Sun Jun  7 07:01:12 1998
++++ include/s_err.h	Sun Jun  7 07:06:27 1998
+@@ -23,9 +23,9 @@
+ #ifdef CUSTOM_ERR
+ static	Numeric	local_replies[] = {
+ /* 000 */	0, (char *)NULL,
+-/* 001 */	RPL_WELCOME, ":Welcome to EFNet IRC - the Internet Relay Chat Network %s",
++/* 001 */	RPL_WELCOME, ":Welcome to BSDnet IRC - the Internet Relay Chat Network %s",
+ /* 002 */	RPL_YOURHOST, ":Your host is %s, running version %s",
+-/* 003 */	RPL_CREATED, ":This server rose from the ashes %s",
++/* 003 */	RPL_CREATED, ":This server was hatched %s",
+ /* 004 */	RPL_MYINFO, "%s %s oiwszcrkfydn biklmnopstv",
+ 		0, (char *)NULL
+ };
+@@ -90,7 +90,7 @@
+ /* 461 */	ERR_NEEDMOREPARAMS, "%s :Not enough parameters",
+ /* 462 */	ERR_ALREADYREGISTRED, ":You may not reregister",
+ /* 463 */	ERR_NOPERMFORHOST, ":Your host isn't among the privileged.",
+-/* 464 */	ERR_PASSWDMISMATCH, ":BZZZT!! Wrong password, homez. Are you sure you know what you're doing??",
++/* 464 */	ERR_PASSWDMISMATCH, ":BZZZT!! Wrong password, dewd. Are you sure you know what you're doing?",
+ /* 465 */	ERR_YOUREBANNEDCREEP, ":You are BANNED from this server- %s",
+ /* 466 */	ERR_YOUWILLBEBANNED, (char *)NULL,
+ /* 467 */	ERR_KEYSET, "%s :Channel key already set. Pay attention.",
+@@ -104,9 +104,9 @@
+ 		0, (char *)NULL, 0, (char *)NULL, 0, (char *)NULL,
+ 		0, (char *)NULL,
+ /* 481 */	ERR_NOPRIVILEGES,
+-		":UHHH, I don't THINK so, homez... you ain't got what it takes. (IRC Operator)",
++		":UHHH, I don't THINK so, dewd... you ain't got those mad l33+ sk1llz. (IRC Operator)",
+ /* 482 */	ERR_CHANOPRIVSNEEDED, "%s :You can't do that thing, when you don't have that swing (You're not channel operator)",
+-/* 483 */	ERR_CANTKILLSERVER, ":Don't be an idiot -  you can't kill a SERVER, fool.",
++/* 483 */	ERR_CANTKILLSERVER, ":Don't be an idiot -  you can't kill a SERVER.",
+ /* 484 */	0, (char *)NULL,
+ 		0, (char *)NULL,
+ 		0, (char *)NULL,
+@@ -124,7 +124,7 @@
+ 		0, (char *)NULL,
+ 		0, (char *)NULL,
+ 		0, (char *)NULL,
+-/* 501 */	ERR_UMODEUNKNOWNFLAG, ":Unknown MODE flag - you smokin' something?",
++/* 501 */	ERR_UMODEUNKNOWNFLAG, ":Unknown MODE flag",
+ /* 502 */	ERR_USERSDONTMATCH, ":You can't change user modes for other users, silly - check that nickname again.",
+ /* 503 */	ERR_GHOSTEDCLIENT, ":Message could not be delivered to %s",
+ /* LAST */	ERR_LAST_ERR_MSG, ":Last Error Message",
+@@ -143,7 +143,7 @@
+ 		0, (char *)NULL,
+ /* 311 */	RPL_WHOISUSER, "%s %s %s * :%s",
+ /* 312 */	RPL_WHOISSERVER, "%s %s :%s",
+-/* 313 */	RPL_WHOISOPERATOR, "%s :is an IRC Janitor (IRC Operator)",
++/* 313 */	RPL_WHOISOPERATOR, "%s :really likes to twist and shout -IRC Operator-",
+ /* 314 */	RPL_WHOWASUSER, "%s %s %s * :%s",
+ /* 315 */	RPL_ENDOFWHO, "%s :End of /WHO list.",
+ /* 316 */	RPL_WHOISCHANOP, (char *)NULL,
+@@ -216,7 +216,7 @@
+ 		0, (char *)NULL,
+ 		0, (char *)NULL, 0, (char *)NULL,
+ 		0, (char *)NULL,
+-/* 381 */	RPL_YOUREOPER, ":You are now one bad motherfucker - Go /kill someone.",
++/* 381 */	RPL_YOUREOPER, ":You have the phorce.  Use it wisely.",
+ /* 382 */	RPL_REHASHING, "%s :it slices, dices, and even reloads config files!  Rehashing config file, mang.",
+ /* 383 */	0, (char *)NULL,
+ /* 384 */	RPL_MYPORTIS, "%d :Port to local server is\r\n",
diff -uNrd ircd-hybrid-5.3p7/patch-ab ircd-bsdnet/patch-ab
--- ircd-hybrid-5.3p7/patch-ab	Wed Dec 31 19:00:00 1969
+++ ircd-bsdnet/patch-ab	Mon Aug 17 09:09:58 1998
@@ -0,0 +1,88 @@
+--- include/config.h.orig	Tue Jul  7 17:40:42 1998
++++ include/config.h	Sat Jul 11 23:52:40 1998
+@@ -27,8 +27,8 @@
+ /***************** MAKE SURE THIS IS CORRECT!!!!!!!!! **************/
+ /* ONLY EDIT "HARD_FDLIMIT_" and "INIT_MAXCLIENTS" */
+ 
+-#define HARD_FDLIMIT_   1024
+-#define INIT_MAXCLIENTS 800
++#define HARD_FDLIMIT_   125
++#define INIT_MAXCLIENTS 40
+ 
+ /*
+  * This is how many 'buffer connections' we allow... 
+@@ -82,8 +82,8 @@
+  * -Dianora
+  */
+ 
+-#define DPATH   "/usr/local/ircd/"
+-#define SPATH   "/usr/local/ircd/ircd"
++#define DPATH   "/usr/local/etc/ircd/"
++#define SPATH   "/usr/local/sbin/ircd"
+ #define	CPATH	"ircd.conf"
+ #define KPATH   "kline.conf"
+ #define	MPATH	"ircd.motd"
+@@ -144,8 +144,8 @@
+  *
+  * These need to be defined if you want to use SYSLOG logging, too.
+  */
+-#define FNAME_USERLOG "/usr/local/ircd/users" /* */
+-#define FNAME_OPERLOG "/usr/local/ircd/opers" /* */
++#define FNAME_USERLOG "/var/log/ircd.users" /* */
++#define FNAME_OPERLOG "/var/log/ircd.opers" /* */
+ 
+ /* FOLLOW_IDENT_RFC
+  * 
+@@ -180,7 +180,7 @@
+  * messages, define this.  Otherwise leave it undef'd for plain ole
+  * boring messages.
+  */
+-#undef CUSTOM_ERR
++#define CUSTOM_ERR
+ 
+ 
+ /* FAILED_OPER_NOTICE - send a notice to all opers when someone
+@@ -429,7 +429,7 @@
+  * mode "i" (i == invisible). Invisibility means people dont showup in
+  * WHO or NAMES unless they are on the same channel as you.
+  */
+-#define	NO_DEFAULT_INVISIBLE
++#undef	NO_DEFAULT_INVISIBLE
+ 
+ /* OPER_KILL OPER_REHASH OPER_RESTART OPER_DIE OPER_REMOTE -
+  *      restrict what local global-Opers can do
+@@ -528,7 +528,7 @@
+  * security problem - they can use the "-f" option to read any files
+  * that the 'new' access lets them.
+  */
+-#define	CMDLINE_CONFIG
++#undef	CMDLINE_CONFIG
+ 
+ /* M4_PREPROC - run ircd.conf through m4 preprocessor
+  * To use m4 as a preprocessor on the ircd.conf file, define M4_PREPROC.
+@@ -557,11 +557,11 @@
+  * If you use syslog above, you may want to turn some (none) of the
+  * spurious log messages for KILL,SQUIT,etc off.
+  */
+-#undef	SYSLOG_KILL	/* log all operator kills to syslog */
+-#undef	SYSLOG_SQUIT	/* log all remote squits for all servers to syslog */
++#define	SYSLOG_KILL	/* log all operator kills to syslog */
++#define	SYSLOG_SQUIT	/* log all remote squits for all servers to syslog */
+ #undef	SYSLOG_CONNECT	/* log remote connect messages for other all servs */
+ #undef	SYSLOG_USERS	/* send userlog stuff to syslog */
+-#undef	SYSLOG_OPER	/* log all users who successfully become an Op */
++#define	SYSLOG_OPER	/* log all users who successfully become an Op */
+ #undef  SYSLOG_BLOCK_ALLOCATOR /* debug block allocator */
+ 
+ /* LOG_FACILITY - facility to use for syslog()
+@@ -609,8 +609,8 @@
+  * define IRC_UID to that UID.  This should only be defined if you are running
+  * as root and even then perhaps not.
+  */
+-#define	IRC_UID 1001
+-#define	IRC_GID 31
++#define	IRC_UID 72
++#define	IRC_GID 72
+ 
+ /* CLIENT_FLOOD - client excess flood threshold
+  * this controls the number of bytes the server will allow a client to
diff -uNrd ircd-hybrid-5.3p7/patch-ac ircd-bsdnet/patch-ac
--- ircd-hybrid-5.3p7/patch-ac	Wed Dec 31 19:00:00 1969
+++ ircd-bsdnet/patch-ac	Mon Aug 17 09:10:01 1998
@@ -0,0 +1,11 @@
+--- include/struct.h.old	Sun Jun  7 07:13:45 1998
++++ include/struct.h	Sun Jun  7 07:14:03 1998
+@@ -89,7 +89,7 @@
+ 
+ #define	USERLEN		10
+ #define	REALLEN	 	50
+-#define	TOPICLEN	90
++#define	TOPICLEN	250
+ #define	CHANNELLEN	200
+ #define	PASSWDLEN 	20
+ #define	KEYLEN		23
diff -uNrd ircd-hybrid-5.3p7/patch-ad ircd-bsdnet/patch-ad
--- ircd-hybrid-5.3p7/patch-ad	Wed Dec 31 19:00:00 1969
+++ ircd-bsdnet/patch-ad	Mon Aug 17 09:10:05 1998
@@ -0,0 +1,20 @@
+--- src/list.c.orig	Tue Jul  7 17:40:52 1998
++++ src/list.c	Sat Jul 11 23:12:41 1998
+@@ -49,7 +49,7 @@
+    for smaller nets who knows? -Dianora
+    */
+ 
+-#define LINK_PREALLOCATE 1024
++#define LINK_PREALLOCATE 64
+ 
+ /* Number of aClient structures to preallocate at a time
+    for Efnet 1024 is reasonable 
+@@ -60,7 +60,7 @@
+    rather than 30k times -Dianora
+ */
+ 
+-#define CLIENTS_PREALLOCATE 1024
++#define CLIENTS_PREALLOCATE 64
+ 
+ void	outofmemory();
+ 
diff -uNrd ircd-hybrid-5.3p7/src/list.c ircd-bsdnet/src/list.c
--- ircd-hybrid-5.3p7/src/list.c	Sat Sep 19 01:03:18 1998
+++ ircd-bsdnet/src/list.c	Fri Feb 25 20:58:42 2000
@@ -49,7 +49,7 @@
    for smaller nets who knows? -Dianora
    */
 
-#define LINK_PREALLOCATE 1024
+#define LINK_PREALLOCATE 64
 
 /* Number of aClient structures to preallocate at a time
    for Efnet 1024 is reasonable 
@@ -60,7 +60,7 @@
    rather than 30k times -Dianora
 */
 
-#define CLIENTS_PREALLOCATE 1024
+#define CLIENTS_PREALLOCATE 64
 
 void	outofmemory();
 
